[udunits] problem with utopen & -ludunits

I'm trying to run the configure script to install MRG CDFconvert: 
http://www.atmos.albany.edu/facstaff/rmctc/cdf_cvt/

I've attached a version of configure sh script with the log of running it.  I'm
writing because I keep getting the following error:

"checking for udunits... /usr/bin/udunits
checking for utopen in -ludunits... no
configure: error: Udunits library not found - possibly an incomplete udunits
build?  Rebuild the
        udunits package and try again."

I keep getting an error regarding udunits, though you can see in the previous 
line that
udunits is installed.  I've rebuilt udunits and gotten the same results.  I've 
tried using EXTRALIBS and gotten nowhere. 


As I understand it, utopen is a function call that opens units files, right?  
But I'm not quite sure what -ludunits defines.

I've attached the configure script and log file.  Thanks!


Below is the code where the error occurs:


UDUNITSINST=`echo $UDUNITS | sed  's/\/bin\/udunits//'`
UDUNITS_LDFLAGS="-L$UDUNITSINST/lib"
LDFLAGS="$HOLDFLAGS $UDUNITS_LDFLAGS"
LIBS=

{ echo "$as_me:$LINENO: checking for utopen in -ludunits" >&5
echo $ECHO_N "checking for utopen in -ludunits... $ECHO_C" >&6; }
if test "${ac_cv_lib_udunits_utopen+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ludunits  $LIBS"
cat >conftest.$ac_ext <<_ACEOF
      program main
      call utopen
      end
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_link") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
     test -z "$ac_f77_werror_flag" ||
     test ! -s conftest.err
       } && test -s conftest$ac_exeext &&
       $as_test_x conftest$ac_exeext; then
  ac_cv_lib_udunits_utopen=yes
else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

    ac_cv_lib_udunits_utopen=no
fi

rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
      conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_udunits_utopen" >&5
echo "${ECHO_T}$ac_cv_lib_udunits_utopen" >&6; }
if test $ac_cv_lib_udunits_utopen = yes; then
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBUDUNITS 1
_ACEOF

  LIBS="-ludunits $LIBS"

else

    { { echo "$as_me:$LINENO: error: Udunits library not found - possibly an 
incomplete udunits build?  Rebuild the
        udunits package and try again." >&5
echo "$as_me: error: Udunits library not found - possibly an incomplete udunits 
build?  Rebuild the
        udunits package and try again." >&2;}
   { (exit 1); exit 1; }; }

fi


      

Attachment: configure
Description: Binary data

checking for a BSD-compatible install... 
/home/armnlib/EC_export_ssm/all/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for g++... g++
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of g++... none
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... none
checking for f90... no
checking for xlf90... no
checking for f77... f77
checking whether we are using the GNU Fortran compiler... yes
checking whether f77 accepts -g... yes
checking for f90... no
checking for xlf90... no
checking for f77... f77
checking whether we are using the GNU Fortran 77 compiler... yes
checking whether f77 accepts -g... yes
checking whether f77 understands -c and -o together... yes
checking special f77 module routing... no
checking how to get verbose linking output from f77... configure: WARNING: 
cannot determine how to obtain linking information from f77

checking for Fortran 77 libraries of f77... 
checking for dummy main to link with Fortran 77 libraries... none
checking for Fortran 77 name-mangling scheme... lower case, underscore, extra 
underscore
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking for a BSD-compatible install... 
/home/armnlib/EC_export_ssm/all/bin/install -c
checking for gawk... (cached) gawk
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking how to recognize dependent libraries... pass_all
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking how to run the C++ preprocessor... g++ -E
checking the maximum length of command line arguments... 24576000
checking command to parse /usr/bin/nm -B output from gcc object... rm: cannot 
remove `conftst': Is a directory
ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared 
libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared 
libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared 
libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for f77 option to produce PIC... -fPIC
checking if f77 PIC flag -fPIC works... yes
checking if f77 static flag -static works... yes
checking if f77 supports -c -o file.o... yes
checking whether the f77 linker (/usr/bin/ld -m elf_x86_64) supports shared 
libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking for xrec... xrec
checking for plotGEM... no
checking for perl... /usr/bin/perl
checking for perl module Tk... ok
checking for f77 flush... yes
checking for udunits... /usr/bin/udunits
checking for utopen in -ludunits... no
configure: error: Udunits library not found - possibly an incomplete udunits 
build?  Rebuild the
                udunits package and try again.
  • 2011 messages navigation, sorted by:
    1. Thread
    2. Subject
    3. Author
    4. Date
    5. ↑ Table Of Contents
  • Search the udunits archives: